2 May 2012
gifbg
1
GIFLIB
GIFLIB Documentation

# gifbg

generate a test-pattern GIF

      gifbg
          -v
          -d dir
          -l lvls
          -c
          		R
          		G
          		B
          -m min
          -o max
          -s
          		w
    		h
          -h

## Description

A program to generate a single-color test pattern GIF with gradually changing intensity in any of the basic 8 directions.

The gifbg program reads no input, and will dump the created GIF file to stdout.

## Options

-v

  Verbose mode (show progress). Enables printout of running scan lines.

-d dir

  Select direction the intensity of the background should increase. Direction can be one of the 8 principal directions:

  "T"

    for Top

  "TR"

    for Top Right

  "R"

    for Right

  "BR"

    for Bottom Right

  "B"

    for Bottom

  "BL"

    for Bottom Left

  "L"

    for left

  "TL"

    for Top Left

  The compass directions may be use as synonyms for the above directions, so for example "NE" is equal to "TR".

  Direction is case insensitive. The default direction is Top (North).

-l lvls

  Numeric, nmber of levels the color will be scaled to. Default is 16.

-c R G B

  What to use as the primary background color to scale. This color is scaled between the minimum intensity (min) and maximum intensity (max) from one end of the screen to the other as defined by dir. See below (-m & -M) for min & max. Default is Blue (0, 0, 255).

-m min

  Minimum intensity (in percent) to scale color. Default 10%

[-M max

  Maximum intensity (in percent) to scale color. Default 100%

-s W H

  Size of image to create. Default 640 by 350.

-h

  Print one line of command line help, similar to Usage above.

If min == max = 100 (%) and lvls == 2 then boolean mask image of specified size will be created - all foreground.

## Author

Gershon Elber.